Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network140.7.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
140.7.0.0
Broadcast address
140.7.31.255
First usable
140.7.0.1
Last usable
140.7.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
B (default /16)
As numbers
Hex 8C070000 · Integer 2349268992 to 2349277183
Reverse DNS zones
0.7.140.in-addr.arpa
1.7.140.in-addr.arpa
2.7.140.in-addr.arpa
3.7.140.in-addr.arpa
4.7.140.in-addr.arpa
5.7.140.in-addr.arpa
6.7.140.in-addr.arpa
7.7.140.in-addr.arpa
8.7.140.in-addr.arpa
9.7.140.in-addr.arpa
10.7.140.in-addr.arpa
11.7.140.in-addr.arpa
12.7.140.in-addr.arpa
13.7.140.in-addr.arpa
14.7.140.in-addr.arpa
15.7.140.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001100.00000111.00000000.00000000140.7.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network10001100.00000111.00000000.00000000140.7.0.0
Broadcast10001100.00000111.00011111.11111111140.7.31.255
Split into smaller subnets/27

140.7.0.0/19 makes 256 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1140.7.0.0/27140.7.0.1 to 140.7.0.30140.7.0.3130
2140.7.0.32/27140.7.0.33 to 140.7.0.62140.7.0.6330
3140.7.0.64/27140.7.0.65 to 140.7.0.94140.7.0.9530
4140.7.0.96/27140.7.0.97 to 140.7.0.126140.7.0.12730
5140.7.0.128/27140.7.0.129 to 140.7.0.158140.7.0.15930
6140.7.0.160/27140.7.0.161 to 140.7.0.190140.7.0.19130
7140.7.0.192/27140.7.0.193 to 140.7.0.222140.7.0.22330
8140.7.0.224/27140.7.0.225 to 140.7.0.254140.7.0.25530
9140.7.1.0/27140.7.1.1 to 140.7.1.30140.7.1.3130
10140.7.1.32/27140.7.1.33 to 140.7.1.62140.7.1.6330
11140.7.1.64/27140.7.1.65 to 140.7.1.94140.7.1.9530
12140.7.1.96/27140.7.1.97 to 140.7.1.126140.7.1.12730
13140.7.1.128/27140.7.1.129 to 140.7.1.158140.7.1.15930
14140.7.1.160/27140.7.1.161 to 140.7.1.190140.7.1.19130
15140.7.1.192/27140.7.1.193 to 140.7.1.222140.7.1.22330
16140.7.1.224/27140.7.1.225 to 140.7.1.254140.7.1.25530
17140.7.2.0/27140.7.2.1 to 140.7.2.30140.7.2.3130
18140.7.2.32/27140.7.2.33 to 140.7.2.62140.7.2.6330
19140.7.2.64/27140.7.2.65 to 140.7.2.94140.7.2.9530
20140.7.2.96/27140.7.2.97 to 140.7.2.126140.7.2.12730
21140.7.2.128/27140.7.2.129 to 140.7.2.158140.7.2.15930
22140.7.2.160/27140.7.2.161 to 140.7.2.190140.7.2.19130
23140.7.2.192/27140.7.2.193 to 140.7.2.222140.7.2.22330
24140.7.2.224/27140.7.2.225 to 140.7.2.254140.7.2.25530
25140.7.3.0/27140.7.3.1 to 140.7.3.30140.7.3.3130
26140.7.3.32/27140.7.3.33 to 140.7.3.62140.7.3.6330
27140.7.3.64/27140.7.3.65 to 140.7.3.94140.7.3.9530
28140.7.3.96/27140.7.3.97 to 140.7.3.126140.7.3.12730
29140.7.3.128/27140.7.3.129 to 140.7.3.158140.7.3.15930
30140.7.3.160/27140.7.3.161 to 140.7.3.190140.7.3.19130
31140.7.3.192/27140.7.3.193 to 140.7.3.222140.7.3.22330
32140.7.3.224/27140.7.3.225 to 140.7.3.254140.7.3.25530
33140.7.4.0/27140.7.4.1 to 140.7.4.30140.7.4.3130
34140.7.4.32/27140.7.4.33 to 140.7.4.62140.7.4.6330
35140.7.4.64/27140.7.4.65 to 140.7.4.94140.7.4.9530
36140.7.4.96/27140.7.4.97 to 140.7.4.126140.7.4.12730
37140.7.4.128/27140.7.4.129 to 140.7.4.158140.7.4.15930
38140.7.4.160/27140.7.4.161 to 140.7.4.190140.7.4.19130
39140.7.4.192/27140.7.4.193 to 140.7.4.222140.7.4.22330
40140.7.4.224/27140.7.4.225 to 140.7.4.254140.7.4.25530
41140.7.5.0/27140.7.5.1 to 140.7.5.30140.7.5.3130
42140.7.5.32/27140.7.5.33 to 140.7.5.62140.7.5.6330
43140.7.5.64/27140.7.5.65 to 140.7.5.94140.7.5.9530
44140.7.5.96/27140.7.5.97 to 140.7.5.126140.7.5.12730
45140.7.5.128/27140.7.5.129 to 140.7.5.158140.7.5.15930
46140.7.5.160/27140.7.5.161 to 140.7.5.190140.7.5.19130
47140.7.5.192/27140.7.5.193 to 140.7.5.222140.7.5.22330
48140.7.5.224/27140.7.5.225 to 140.7.5.254140.7.5.25530
49140.7.6.0/27140.7.6.1 to 140.7.6.30140.7.6.3130
50140.7.6.32/27140.7.6.33 to 140.7.6.62140.7.6.6330
51140.7.6.64/27140.7.6.65 to 140.7.6.94140.7.6.9530
52140.7.6.96/27140.7.6.97 to 140.7.6.126140.7.6.12730
53140.7.6.128/27140.7.6.129 to 140.7.6.158140.7.6.15930
54140.7.6.160/27140.7.6.161 to 140.7.6.190140.7.6.19130
55140.7.6.192/27140.7.6.193 to 140.7.6.222140.7.6.22330
56140.7.6.224/27140.7.6.225 to 140.7.6.254140.7.6.25530
57140.7.7.0/27140.7.7.1 to 140.7.7.30140.7.7.3130
58140.7.7.32/27140.7.7.33 to 140.7.7.62140.7.7.6330
59140.7.7.64/27140.7.7.65 to 140.7.7.94140.7.7.9530
60140.7.7.96/27140.7.7.97 to 140.7.7.126140.7.7.12730
61140.7.7.128/27140.7.7.129 to 140.7.7.158140.7.7.15930
62140.7.7.160/27140.7.7.161 to 140.7.7.190140.7.7.19130
63140.7.7.192/27140.7.7.193 to 140.7.7.222140.7.7.22330
64140.7.7.224/27140.7.7.225 to 140.7.7.254140.7.7.25530
65140.7.8.0/27140.7.8.1 to 140.7.8.30140.7.8.3130
66140.7.8.32/27140.7.8.33 to 140.7.8.62140.7.8.6330
67140.7.8.64/27140.7.8.65 to 140.7.8.94140.7.8.9530
68140.7.8.96/27140.7.8.97 to 140.7.8.126140.7.8.12730
69140.7.8.128/27140.7.8.129 to 140.7.8.158140.7.8.15930
70140.7.8.160/27140.7.8.161 to 140.7.8.190140.7.8.19130
71140.7.8.192/27140.7.8.193 to 140.7.8.222140.7.8.22330
72140.7.8.224/27140.7.8.225 to 140.7.8.254140.7.8.25530
73140.7.9.0/27140.7.9.1 to 140.7.9.30140.7.9.3130
74140.7.9.32/27140.7.9.33 to 140.7.9.62140.7.9.6330
75140.7.9.64/27140.7.9.65 to 140.7.9.94140.7.9.9530
76140.7.9.96/27140.7.9.97 to 140.7.9.126140.7.9.12730
77140.7.9.128/27140.7.9.129 to 140.7.9.158140.7.9.15930
78140.7.9.160/27140.7.9.161 to 140.7.9.190140.7.9.19130
79140.7.9.192/27140.7.9.193 to 140.7.9.222140.7.9.22330
80140.7.9.224/27140.7.9.225 to 140.7.9.254140.7.9.25530
81140.7.10.0/27140.7.10.1 to 140.7.10.30140.7.10.3130
82140.7.10.32/27140.7.10.33 to 140.7.10.62140.7.10.6330
83140.7.10.64/27140.7.10.65 to 140.7.10.94140.7.10.9530
84140.7.10.96/27140.7.10.97 to 140.7.10.126140.7.10.12730
85140.7.10.128/27140.7.10.129 to 140.7.10.158140.7.10.15930
86140.7.10.160/27140.7.10.161 to 140.7.10.190140.7.10.19130
87140.7.10.192/27140.7.10.193 to 140.7.10.222140.7.10.22330
88140.7.10.224/27140.7.10.225 to 140.7.10.254140.7.10.25530
89140.7.11.0/27140.7.11.1 to 140.7.11.30140.7.11.3130
90140.7.11.32/27140.7.11.33 to 140.7.11.62140.7.11.6330
91140.7.11.64/27140.7.11.65 to 140.7.11.94140.7.11.9530
92140.7.11.96/27140.7.11.97 to 140.7.11.126140.7.11.12730
93140.7.11.128/27140.7.11.129 to 140.7.11.158140.7.11.15930
94140.7.11.160/27140.7.11.161 to 140.7.11.190140.7.11.19130
95140.7.11.192/27140.7.11.193 to 140.7.11.222140.7.11.22330
96140.7.11.224/27140.7.11.225 to 140.7.11.254140.7.11.25530
97140.7.12.0/27140.7.12.1 to 140.7.12.30140.7.12.3130
98140.7.12.32/27140.7.12.33 to 140.7.12.62140.7.12.6330
99140.7.12.64/27140.7.12.65 to 140.7.12.94140.7.12.9530
100140.7.12.96/27140.7.12.97 to 140.7.12.126140.7.12.12730
101140.7.12.128/27140.7.12.129 to 140.7.12.158140.7.12.15930
102140.7.12.160/27140.7.12.161 to 140.7.12.190140.7.12.19130
103140.7.12.192/27140.7.12.193 to 140.7.12.222140.7.12.22330
104140.7.12.224/27140.7.12.225 to 140.7.12.254140.7.12.25530
105140.7.13.0/27140.7.13.1 to 140.7.13.30140.7.13.3130
106140.7.13.32/27140.7.13.33 to 140.7.13.62140.7.13.6330
107140.7.13.64/27140.7.13.65 to 140.7.13.94140.7.13.9530
108140.7.13.96/27140.7.13.97 to 140.7.13.126140.7.13.12730
109140.7.13.128/27140.7.13.129 to 140.7.13.158140.7.13.15930
110140.7.13.160/27140.7.13.161 to 140.7.13.190140.7.13.19130
111140.7.13.192/27140.7.13.193 to 140.7.13.222140.7.13.22330
112140.7.13.224/27140.7.13.225 to 140.7.13.254140.7.13.25530
113140.7.14.0/27140.7.14.1 to 140.7.14.30140.7.14.3130
114140.7.14.32/27140.7.14.33 to 140.7.14.62140.7.14.6330
115140.7.14.64/27140.7.14.65 to 140.7.14.94140.7.14.9530
116140.7.14.96/27140.7.14.97 to 140.7.14.126140.7.14.12730
117140.7.14.128/27140.7.14.129 to 140.7.14.158140.7.14.15930
118140.7.14.160/27140.7.14.161 to 140.7.14.190140.7.14.19130
119140.7.14.192/27140.7.14.193 to 140.7.14.222140.7.14.22330
120140.7.14.224/27140.7.14.225 to 140.7.14.254140.7.14.25530
121140.7.15.0/27140.7.15.1 to 140.7.15.30140.7.15.3130
122140.7.15.32/27140.7.15.33 to 140.7.15.62140.7.15.6330
123140.7.15.64/27140.7.15.65 to 140.7.15.94140.7.15.9530
124140.7.15.96/27140.7.15.97 to 140.7.15.126140.7.15.12730
125140.7.15.128/27140.7.15.129 to 140.7.15.158140.7.15.15930
126140.7.15.160/27140.7.15.161 to 140.7.15.190140.7.15.19130
127140.7.15.192/27140.7.15.193 to 140.7.15.222140.7.15.22330
128140.7.15.224/27140.7.15.225 to 140.7.15.254140.7.15.25530
129140.7.16.0/27140.7.16.1 to 140.7.16.30140.7.16.3130
130140.7.16.32/27140.7.16.33 to 140.7.16.62140.7.16.6330
131140.7.16.64/27140.7.16.65 to 140.7.16.94140.7.16.9530
132140.7.16.96/27140.7.16.97 to 140.7.16.126140.7.16.12730
133140.7.16.128/27140.7.16.129 to 140.7.16.158140.7.16.15930
134140.7.16.160/27140.7.16.161 to 140.7.16.190140.7.16.19130
135140.7.16.192/27140.7.16.193 to 140.7.16.222140.7.16.22330
136140.7.16.224/27140.7.16.225 to 140.7.16.254140.7.16.25530
137140.7.17.0/27140.7.17.1 to 140.7.17.30140.7.17.3130
138140.7.17.32/27140.7.17.33 to 140.7.17.62140.7.17.6330
139140.7.17.64/27140.7.17.65 to 140.7.17.94140.7.17.9530
140140.7.17.96/27140.7.17.97 to 140.7.17.126140.7.17.12730
141140.7.17.128/27140.7.17.129 to 140.7.17.158140.7.17.15930
142140.7.17.160/27140.7.17.161 to 140.7.17.190140.7.17.19130
143140.7.17.192/27140.7.17.193 to 140.7.17.222140.7.17.22330
144140.7.17.224/27140.7.17.225 to 140.7.17.254140.7.17.25530
145140.7.18.0/27140.7.18.1 to 140.7.18.30140.7.18.3130
146140.7.18.32/27140.7.18.33 to 140.7.18.62140.7.18.6330
147140.7.18.64/27140.7.18.65 to 140.7.18.94140.7.18.9530
148140.7.18.96/27140.7.18.97 to 140.7.18.126140.7.18.12730
149140.7.18.128/27140.7.18.129 to 140.7.18.158140.7.18.15930
150140.7.18.160/27140.7.18.161 to 140.7.18.190140.7.18.19130
151140.7.18.192/27140.7.18.193 to 140.7.18.222140.7.18.22330
152140.7.18.224/27140.7.18.225 to 140.7.18.254140.7.18.25530
153140.7.19.0/27140.7.19.1 to 140.7.19.30140.7.19.3130
154140.7.19.32/27140.7.19.33 to 140.7.19.62140.7.19.6330
155140.7.19.64/27140.7.19.65 to 140.7.19.94140.7.19.9530
156140.7.19.96/27140.7.19.97 to 140.7.19.126140.7.19.12730
157140.7.19.128/27140.7.19.129 to 140.7.19.158140.7.19.15930
158140.7.19.160/27140.7.19.161 to 140.7.19.190140.7.19.19130
159140.7.19.192/27140.7.19.193 to 140.7.19.222140.7.19.22330
160140.7.19.224/27140.7.19.225 to 140.7.19.254140.7.19.25530
161140.7.20.0/27140.7.20.1 to 140.7.20.30140.7.20.3130
162140.7.20.32/27140.7.20.33 to 140.7.20.62140.7.20.6330
163140.7.20.64/27140.7.20.65 to 140.7.20.94140.7.20.9530
164140.7.20.96/27140.7.20.97 to 140.7.20.126140.7.20.12730
165140.7.20.128/27140.7.20.129 to 140.7.20.158140.7.20.15930
166140.7.20.160/27140.7.20.161 to 140.7.20.190140.7.20.19130
167140.7.20.192/27140.7.20.193 to 140.7.20.222140.7.20.22330
168140.7.20.224/27140.7.20.225 to 140.7.20.254140.7.20.25530
169140.7.21.0/27140.7.21.1 to 140.7.21.30140.7.21.3130
170140.7.21.32/27140.7.21.33 to 140.7.21.62140.7.21.6330
171140.7.21.64/27140.7.21.65 to 140.7.21.94140.7.21.9530
172140.7.21.96/27140.7.21.97 to 140.7.21.126140.7.21.12730
173140.7.21.128/27140.7.21.129 to 140.7.21.158140.7.21.15930
174140.7.21.160/27140.7.21.161 to 140.7.21.190140.7.21.19130
175140.7.21.192/27140.7.21.193 to 140.7.21.222140.7.21.22330
176140.7.21.224/27140.7.21.225 to 140.7.21.254140.7.21.25530
177140.7.22.0/27140.7.22.1 to 140.7.22.30140.7.22.3130
178140.7.22.32/27140.7.22.33 to 140.7.22.62140.7.22.6330
179140.7.22.64/27140.7.22.65 to 140.7.22.94140.7.22.9530
180140.7.22.96/27140.7.22.97 to 140.7.22.126140.7.22.12730
181140.7.22.128/27140.7.22.129 to 140.7.22.158140.7.22.15930
182140.7.22.160/27140.7.22.161 to 140.7.22.190140.7.22.19130
183140.7.22.192/27140.7.22.193 to 140.7.22.222140.7.22.22330
184140.7.22.224/27140.7.22.225 to 140.7.22.254140.7.22.25530
185140.7.23.0/27140.7.23.1 to 140.7.23.30140.7.23.3130
186140.7.23.32/27140.7.23.33 to 140.7.23.62140.7.23.6330
187140.7.23.64/27140.7.23.65 to 140.7.23.94140.7.23.9530
188140.7.23.96/27140.7.23.97 to 140.7.23.126140.7.23.12730
189140.7.23.128/27140.7.23.129 to 140.7.23.158140.7.23.15930
190140.7.23.160/27140.7.23.161 to 140.7.23.190140.7.23.19130
191140.7.23.192/27140.7.23.193 to 140.7.23.222140.7.23.22330
192140.7.23.224/27140.7.23.225 to 140.7.23.254140.7.23.25530
193140.7.24.0/27140.7.24.1 to 140.7.24.30140.7.24.3130
194140.7.24.32/27140.7.24.33 to 140.7.24.62140.7.24.6330
195140.7.24.64/27140.7.24.65 to 140.7.24.94140.7.24.9530
196140.7.24.96/27140.7.24.97 to 140.7.24.126140.7.24.12730
197140.7.24.128/27140.7.24.129 to 140.7.24.158140.7.24.15930
198140.7.24.160/27140.7.24.161 to 140.7.24.190140.7.24.19130
199140.7.24.192/27140.7.24.193 to 140.7.24.222140.7.24.22330
200140.7.24.224/27140.7.24.225 to 140.7.24.254140.7.24.25530
201140.7.25.0/27140.7.25.1 to 140.7.25.30140.7.25.3130
202140.7.25.32/27140.7.25.33 to 140.7.25.62140.7.25.6330
203140.7.25.64/27140.7.25.65 to 140.7.25.94140.7.25.9530
204140.7.25.96/27140.7.25.97 to 140.7.25.126140.7.25.12730
205140.7.25.128/27140.7.25.129 to 140.7.25.158140.7.25.15930
206140.7.25.160/27140.7.25.161 to 140.7.25.190140.7.25.19130
207140.7.25.192/27140.7.25.193 to 140.7.25.222140.7.25.22330
208140.7.25.224/27140.7.25.225 to 140.7.25.254140.7.25.25530
209140.7.26.0/27140.7.26.1 to 140.7.26.30140.7.26.3130
210140.7.26.32/27140.7.26.33 to 140.7.26.62140.7.26.6330
211140.7.26.64/27140.7.26.65 to 140.7.26.94140.7.26.9530
212140.7.26.96/27140.7.26.97 to 140.7.26.126140.7.26.12730
213140.7.26.128/27140.7.26.129 to 140.7.26.158140.7.26.15930
214140.7.26.160/27140.7.26.161 to 140.7.26.190140.7.26.19130
215140.7.26.192/27140.7.26.193 to 140.7.26.222140.7.26.22330
216140.7.26.224/27140.7.26.225 to 140.7.26.254140.7.26.25530
217140.7.27.0/27140.7.27.1 to 140.7.27.30140.7.27.3130
218140.7.27.32/27140.7.27.33 to 140.7.27.62140.7.27.6330
219140.7.27.64/27140.7.27.65 to 140.7.27.94140.7.27.9530
220140.7.27.96/27140.7.27.97 to 140.7.27.126140.7.27.12730
221140.7.27.128/27140.7.27.129 to 140.7.27.158140.7.27.15930
222140.7.27.160/27140.7.27.161 to 140.7.27.190140.7.27.19130
223140.7.27.192/27140.7.27.193 to 140.7.27.222140.7.27.22330
224140.7.27.224/27140.7.27.225 to 140.7.27.254140.7.27.25530
225140.7.28.0/27140.7.28.1 to 140.7.28.30140.7.28.3130
226140.7.28.32/27140.7.28.33 to 140.7.28.62140.7.28.6330
227140.7.28.64/27140.7.28.65 to 140.7.28.94140.7.28.9530
228140.7.28.96/27140.7.28.97 to 140.7.28.126140.7.28.12730
229140.7.28.128/27140.7.28.129 to 140.7.28.158140.7.28.15930
230140.7.28.160/27140.7.28.161 to 140.7.28.190140.7.28.19130
231140.7.28.192/27140.7.28.193 to 140.7.28.222140.7.28.22330
232140.7.28.224/27140.7.28.225 to 140.7.28.254140.7.28.25530
233140.7.29.0/27140.7.29.1 to 140.7.29.30140.7.29.3130
234140.7.29.32/27140.7.29.33 to 140.7.29.62140.7.29.6330
235140.7.29.64/27140.7.29.65 to 140.7.29.94140.7.29.9530
236140.7.29.96/27140.7.29.97 to 140.7.29.126140.7.29.12730
237140.7.29.128/27140.7.29.129 to 140.7.29.158140.7.29.15930
238140.7.29.160/27140.7.29.161 to 140.7.29.190140.7.29.19130
239140.7.29.192/27140.7.29.193 to 140.7.29.222140.7.29.22330
240140.7.29.224/27140.7.29.225 to 140.7.29.254140.7.29.25530
241140.7.30.0/27140.7.30.1 to 140.7.30.30140.7.30.3130
242140.7.30.32/27140.7.30.33 to 140.7.30.62140.7.30.6330
243140.7.30.64/27140.7.30.65 to 140.7.30.94140.7.30.9530
244140.7.30.96/27140.7.30.97 to 140.7.30.126140.7.30.12730
245140.7.30.128/27140.7.30.129 to 140.7.30.158140.7.30.15930
246140.7.30.160/27140.7.30.161 to 140.7.30.190140.7.30.19130
247140.7.30.192/27140.7.30.193 to 140.7.30.222140.7.30.22330
248140.7.30.224/27140.7.30.225 to 140.7.30.254140.7.30.25530
249140.7.31.0/27140.7.31.1 to 140.7.31.30140.7.31.3130
250140.7.31.32/27140.7.31.33 to 140.7.31.62140.7.31.6330
251140.7.31.64/27140.7.31.65 to 140.7.31.94140.7.31.9530
252140.7.31.96/27140.7.31.97 to 140.7.31.126140.7.31.12730
253140.7.31.128/27140.7.31.129 to 140.7.31.158140.7.31.15930
254140.7.31.160/27140.7.31.161 to 140.7.31.190140.7.31.19130
255140.7.31.192/27140.7.31.193 to 140.7.31.222140.7.31.22330
256140.7.31.224/27140.7.31.225 to 140.7.31.254140.7.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses